# Diagramme de classes

---

```mermaid
classDiagram

class MainActivity{
    +onCreate()
    +onPause()
    +onResume()
    +onDestroy()
    +startGame()
    +showGameOver()
    +showInstruction()
}

class Game{
    +onTap()
    +onShake()
    +start()
    +stop()
    +quit()
}

class Marmotheque{
    +generateMole()
}

class Marmotte{
    -bool State
    +takeHit()
    +move()
    +isDead()
}

class Level{
    +int number
    +String description
    +float time
    +int nbEnemyLeft
    +getMarmottes()
}

class Player{
    -String Name
    -int score
}

Level -- Player
Marmotheque -- Marmotte

```

>note for Marmotheque "Gestionnaire des marmottes (*utile si il s'agit d'une liste ?*)"